SDL_GetRenderDrawColorFloat(3)

NAME
SDL_GetRenderDrawColorFloat - Get the color used for drawing operations (Rect, Line and Clear).

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetRenderDrawColorFloat(SDL_Renderer *renderer, float *r, float *g, float *b, float *a);

FUNCTION PARAMETERS

renderer
    the rendering context

r   a pointer filled in with the red value used to draw on the rendering target

g   a pointer filled in with the green value used to draw on the rendering target

b   a pointer filled in with the blue value used to draw on the rendering target

a   a pointer filled in with the alpha value used to draw on the rendering target

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetRenderDrawColorFloat(3), SDL_GetRenderDrawColor(3)